org.apache.storm.elasticsearch

## Class DefaultEsLookupResultOutput

- java.lang.Object
- - org.apache.storm.elasticsearch.DefaultEsLookupResultOutput

- All Implemented Interfaces:
    Serializable, EsLookupResultOutput

      public class DefaultEsLookupResultOutput
      extends Object
      implements EsLookupResultOutput

  Default implementation of `EsLookupResultOutput`. Outputs the index, type, id and source as strings.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEsLookupResultOutput(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fields` | `fields()` `Fields` to be declared for output.
    `Collection<Values>` | `toValues(org.elasticsearch.client.Response response)` Convert Elasticsearch response to a collection of `Values`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEsLookupResultOutput

          public DefaultEsLookupResultOutput(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### Method Detail

    - #### toValues

          public Collection<Values> toValues(org.elasticsearch.client.Response response)

      Description copied from interface: `EsLookupResultOutput`

      Convert Elasticsearch response to a collection of `Values`.

      Specified by:
        `toValues` in interface `EsLookupResultOutput`
      Returns:
        collection of values to emit.

    - #### fields

          public Fields fields()

      Description copied from interface: `EsLookupResultOutput`

      `Fields` to be declared for output.

      Specified by:
        `fields` in interface `EsLookupResultOutput`
      Returns:
        output fields to declare.

Copyright © 2019 The Apache Software Foundation. All rights reserved.